Intermittent browser_perf-marker-details-01.js | ConsoleTime has a stack: startStack -, ConsoleTime has a stack: endStack -

RESOLVED FIXED

Status

()

Firefox
Developer Tools: Performance Tools (Profiler/Timeline)
RESOLVED FIXED
2 years ago
2 years ago

People

(Reporter: aryx, Unassigned)

Tracking

({intermittent-failure})

Trunk
intermittent-failure
Points:
---

Firefox Tracking Flags

(firefox46 affected)

Details

https://treeherder.mozilla.org/logviewer.html#?job_id=18816368&repo=mozilla-inbound

08:37:51     INFO -  173 INFO TEST-PASS | devtools/client/performance/test/browser_perf-marker-details-01.js | Styles has a stack: stack -
08:37:51     INFO -  174 INFO Got `Reflow` marker with data: {"end":28.989595999999437,"endStack":null,"isOffMainThread":false,"name":"Reflow","processType":0,"stack":4,"start":28.91672500000277}
08:37:51     INFO -  175 INFO TEST-PASS | devtools/client/performance/test/browser_perf-marker-details-01.js | Reflow has a stack: stack -
08:37:51     INFO -  176 INFO Got `ConsoleTime` marker with data: {"causeName":"!!!","end":30.583095000009052,"endStack":7,"isOffMainThread":false,"name":"ConsoleTime","processType":0,"stack":5,"start":30.17399100001785}
08:37:51     INFO -  177 INFO TEST-UNEXPECTED-FAIL | devtools/client/performance/test/browser_perf-marker-details-01.js | ConsoleTime has a stack: startStack -
08:37:51     INFO -  Stack trace:
08:37:51     INFO -      chrome://mochitests/content/browser/devtools/client/performance/test/browser_perf-marker-details-01.js:shouldHaveStack:114
08:37:51     INFO -      chrome://mochitests/content/browser/devtools/client/performance/test/browser_perf-marker-details-01.js:spawnTest/tests.ConsoleTime:53
08:37:51     INFO -      chrome://mochitests/content/browser/devtools/client/performance/test/browser_perf-marker-details-01.js:spawnTest:95
08:37:51     INFO -      test@chrome://mochitests/content/browser/devtools/client/performance/test/head.js:210:3
08:37:51     INFO -      Tester_execTest@chrome://mochikit/content/browser-test.js:785:9
08:37:51     INFO -      Tester.prototype.nextTest</<@chrome://mochikit/content/browser-test.js:676:7
08:37:51     INFO -      SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<@chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:735:59
08:37:51     INFO -  Not taking screenshot here: see the one that was previously logged
08:37:51     INFO -  178 INFO TEST-UNEXPECTED-FAIL | devtools/client/performance/test/browser_perf-marker-details-01.js | ConsoleTime has a stack: endStack -
08:37:51     INFO -  Stack trace:
08:37:51     INFO -      chrome://mochitests/content/browser/devtools/client/performance/test/browser_perf-marker-details-01.js:shouldHaveStack:114
08:37:51     INFO -      chrome://mochitests/content/browser/devtools/client/performance/test/browser_perf-marker-details-01.js:spawnTest/tests.ConsoleTime:54
08:37:51     INFO -      chrome://mochitests/content/browser/devtools/client/performance/test/browser_perf-marker-details-01.js:spawnTest:95
08:37:51     INFO -      test@chrome://mochitests/content/browser/devtools/client/performance/test/head.js:210:3
08:37:51     INFO -      Tester_execTest@chrome://mochikit/content/browser-test.js:785:9
08:37:51     INFO -      Tester.prototype.nextTest</<@chrome://mochikit/content/browser-test.js:676:7
08:37:51     INFO -      SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<@chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:735:59
08:37:51     INFO -  179 INFO Timer Name:
08:37:51     INFO -  *************************
08:37:51     INFO -  A coding exception was thrown and uncaught in a Task.
08:37:51     INFO -  Full message: TypeError: $name is null
08:37:51     INFO -  Full stack: shouldHaveLabel@chrome://mochitests/content/browser/devtools/client/performance/test/browser_perf-marker-details-01.js:120:7
08:37:51     INFO -  spawnTest/tests.ConsoleTime@chrome://mochitests/content/browser/devtools/client/performance/test/browser_perf-marker-details-01.js:55:7
08:37:51     INFO -  spawnTest@chrome://mochitests/content/browser/devtools/client/performance/test/browser_perf-marker-details-01.js:95:32
08:37:51     INFO -  test@chrome://mochitests/content/browser/devtools/client/performance/test/head.js:210:3
08:37:51     INFO -  Tester_execTest@chrome://mochikit/content/browser-test.js:785:9
08:37:51     INFO -  Tester.prototype.nextTest</<@chrome://mochikit/content/browser-test.js:676:7
08:37:51     INFO -  SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<@chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:735:59
08:37:51     INFO -  *************************
08:37:51     INFO -  Not taking screenshot here: see the one that was previously logged
08:37:51     INFO -  180 INFO TEST-UNEXPECTED-FAIL | devtools/client/performance/test/browser_perf-marker-details-01.js | Got an error: $name is null
08:37:51     INFO -  shouldHaveLabel@chrome://mochitests/content/browser/devtools/client/performance/test/browser_perf-marker-details-01.js:120:7
08:37:51     INFO -  spawnTest/tests.ConsoleTime@chrome://mochitests/content/browser/devtools/client/performance/test/browser_perf-marker-details-01.js:55:7
08:37:51     INFO -  spawnTest@chrome://mochitests/content/browser/devtools/client/performance/test/browser_perf-marker-details-01.js:95:32
08:37:51     INFO -  test@chrome://mochitests/content/browser/devtools/client/performance/test/head.js:210:3
08:37:51     INFO -  Tester_execTest@chrome://mochikit/content/browser-test.js:785:9
08:37:51     INFO -  Tester.prototype.nextTest</<@chrome://mochikit/content/browser-test.js:676:7
08:37:51     INFO -  SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<@chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:735:59
08:37:51     INFO -   -
08:37:51     INFO -  Stack trace:
08:37:51     INFO -  chrome://mochitests/content/browser/devtools/client/performance/test/head.js:handleError:174
08:37:51     INFO -  resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:Handler.prototype.process:936
08:37:51     INFO -  resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:this.PromiseWalker.walkerLoop:812
08:37:51     INFO -  181 INFO finish() was called, cleaning up...
08:37:52     INFO -  MEMORY STAT | vsize 3613MB | residentFast 577MB | heapAllocated 215MB
08:37:52     INFO -  182 INFO TEST-OK | devtools/client/performance/test/browser_perf-marker-details-01.js | took 2015ms

Comment 1

2 years ago
20 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 9
* fx-team: 6
* mozilla-central: 3
* try: 2

Platform breakdown:
* windows7-32: 15
* windowsxp: 2
* osx-10-10: 2
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1234044&startday=2016-01-11&endday=2016-01-17&tree=all

Comment 2

2 years ago
18 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* fx-team: 6
* mozilla-inbound: 5
* mozilla-central: 5
* try: 2

Platform breakdown:
* windows7-32: 11
* windowsxp: 6
* osx-10-10: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1234044&startday=2016-01-18&endday=2016-01-24&tree=all

Comment 3

2 years ago
32 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 13
* fx-team: 11
* mozilla-central: 4
* try: 3
* b2g-inbound: 1

Platform breakdown:
* windows7-32: 29
* windowsxp: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1234044&startday=2016-01-25&endday=2016-01-31&tree=all
Might be fixed now that the patch in bug 1245886 has landed. Triaging this for now, filter on ORANGENGESCHMACK, if it reoccurs please reopen or file a new bug.
Status: NEW → RESOLVED
Last Resolved: 2 years ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.